function varargout = Restoring(data,rnow,call,zeta)

if ~ischar(zeta)
    rnow(3,1) = rnow(3,1) - zeta;
end    

if call == 1
    C = sparse(zeros(6));
    
    C = C + RestHydStat(data,rnow,1);
    C = C + RestMooring(data,rnow,1);
    
    varargout{1} = C;

elseif call == 2
    Fr = sparse(zeros(6,1));
    
    Fr = Fr + RestHydStat(data,rnow,2);
    Fr = Fr + RestMooring(data,rnow,2);
    
    varargout{1} = Fr;

elseif call == 3
    C  = sparse(zeros(6));
    Fr = sparse(zeros(6,1));
    
    C = C + RestHydStat(data,rnow,1);
    C = C + RestMooring(data,rnow,1);
    
    Fr = Fr + RestHydStat(data,rnow,2);
    Fr = Fr + RestMooring(data,rnow,2);
    
    varargout{1} = C;
    varargout{2} = Fr;
end
end