function deltaV = deltaVCalc(data,rnow)

x = data.body.x;
z = data.body.z;

radDwl = x(find(z == 0));
a = ( x(find(z == 0))-x(find(z == 0)-1) )...
    / ( z(find(z == 0)) - z(find(z == 0)-1) );

if a == 0
    deltaV = -pi*rnow(3,1) * radDwl^2;  
else
    deltaV = -pi*rnow(3,1)/3 * (3*radDwl^2 - 3*radDwl*a*rnow(3,1) ...
        + a^2*rnow(3,1)^2) + pi/3 * (radDwl - a*rnow(3,1)^2)^3/a * ...
        ( 1/ (1-a^2*tan(rnow(5,1))^2)^(3/2) -1);
end
end