function dx = EOM(t,x,Run,data, MA, B,h)

rnow = SSTrans(x,'r');

Fres = Restoring(data,rnow,2,Zeta(Run,rnow,t));
Fexc = Clutch(Run,ExcLoad(Run,data,t),t);

rnow(:,3) = sparseinv(MA) * (Fexc + Fres - B * rnow(:,2));

dx = SSTrans(rnow,'dx');

waitbar(t/Run.time,h,['Time integration, currently at: ' num2str(t,'%8.2f') ' of ' num2str(Run.time,'%8.2f') ' seconds']);

end