function Fexc = ExcLoad(Run,data,t)

if Run.envload == 3
    Fexc = sparse(zeros(6,1));
elseif Run.envload == 1
    [Fs Fc] = WaveLoads(Run,data);
    omega = 2*pi/Run.T;
    Fexc = Fs*sin(omega*t) + Fc*cos(omega*t);
end
end