function [t r F RAO] = MotionAnalysis(Run, data, rnow)

if Run.output == 1
    RAO = FreqResponse(Run,data);
    F = 0;
    r = 0;
    t = 0;
elseif Run.envload ==2
    [r F] = IceActions(Run,data);
    RAO = 0;
    t = 0;
elseif Run.model == 1 && Run.envload ==1
    [r F] = Newmark(Run,data,rnow);
    RAO = 0;
    t = 0:Run.dt:Run.time;
else
    [t r F] = RKInt(Run, data, rnow);
    RAO = 0;
end
end