function Ainv = sparseinv(A)

Ainv  = zeros(size(A));

if size(A,1) ~= size(A,2)
    disp('Matrix must be square')
    Ainv = 0;
    return
end

j=1;
for i = size(A,1):-1:1
    if sum(A(:,i)) == 0 && sum(A(i,:)) == 0
        A(:,i) = [];
        A(i,:) = [];
        deleted(j) = i;
        j=j+1;
    end
end

A_inv = A^-1;

if ~exist('deleted','var')
    Ainv = A_inv;
else
    ii = 1;
    jj = 1;
    for i = 1:length(Ainv)
        for j = 1:length(Ainv)
            if ~(sum(deleted == i) || sum(deleted == j))
                Ainv(i,j) = A_inv(ii,jj);
                if jj == length(A_inv)
                    jj = 1;
                    ii = ii+1;
                else
                    jj = jj + 1;
                end
            end
        end
    end
end
end